Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.sizes

## Class VolumeSizeBI.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBI.Builder

- Enclosing class:
    VolumeSizeBI

      public static final class VolumeSizeBI.Builder
      extends java.lang.Object

  Builds instances of type `VolumeSizeBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VolumeSizeBI` | `build​()` | Builds a new `VolumeSizeBI`.
    `VolumeSizeBI.Builder` | `from​(VolumeSizeBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBIType` instance.
    `VolumeSizeBI.Builder` | `from​(VolumeSizeValuesBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBIType` instance.
    `VolumeSizeBI.Builder` | `setSizeX​(java.math.BigInteger sizeX)` | Initializes the value for the `sizeX` attribute.
    `VolumeSizeBI.Builder` | `setSizeY​(java.math.BigInteger sizeY)` | Initializes the value for the `sizeY` attribute.
    `VolumeSizeBI.Builder` | `setSizeZ​(java.math.BigInteger sizeZ)` | Initializes the value for the `sizeZ` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final VolumeSizeBI.Builder from​(VolumeSizeBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final VolumeSizeBI.Builder from​(VolumeSizeValuesBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final VolumeSizeBI.Builder setSizeX​(java.math.BigInteger sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final VolumeSizeBI.Builder setSizeY​(java.math.BigInteger sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeZ

          public final VolumeSizeBI.Builder setSizeZ​(java.math.BigInteger sizeZ)

      Initializes the value for the `sizeZ` attribute.
      Parameters:
        `sizeZ` - The value for sizeZ
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public VolumeSizeBI build​()

      Builds a new `VolumeSizeBI`.
      Returns:
        An immutable instance of VolumeSizeBI
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com